      program int_max ! BB 08 31 2006
C Largest and smallest integer in Fortran.
      include '../../ForLib/implicit.sta'
      include '../../ForLib/constants.par'
      PARAMETER(IUO=6)
      A=2.D00**31-ONE
      Imax=NINT(A)
      WRITE(IUO,'(" Imax =  ",I20)') Imax
      Im1=Imax-1
      WRITE(IUO,'(" Imax-1 =",I20)') Im1
      Ip1=Imax+1
      WRITE(IUO,'(" Imax+1 =",I20," = Imin")') Ip1
      Im1=Ip1-1
      WRITE(IUO,'(" Imin-1 =",I20)') Im1
      Itest=Ip1-Imax
      WRITE(IUO,'(" Imin-Imax =",I17)') Itest
      stop
      end
